from typing import Any, List
from pydantic import BaseModel

from million.model.message import Message
from million.model.participant import Participant

class Image(BaseModel):
    creation_timestamp: int
    uri: str

class JoinableMode(BaseModel):
    mode: int
    link: str

class FacebookExport(BaseModel):
    messages: List[Message]
    participants: List[Participant]
    title: str
    is_still_participant: bool
    thread_path: str
    magic_words: List[Any]
    image: Image
    joinable_mode: JoinableMode
